%global commit 2ed66bed5194020f2faf94999ee4bead4dd545c1
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global module_name  rosinstall_generator

Name:           python-%{module_name}
Version:        0.1.11
Release:        1%{?dist}
Summary:        Generates rosinstall files

License:        BSD
URL:            http://wiki.ros.org/%{module_name}
Source0:        https://github.com/ros-infrastructure/%{module_name}/archive/%{commit}/%{module_name}-%{commit}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools


%description
The rosinstall_generator generates rosinstall files containing information
about repositories with ROS packages/stacks. 


%prep
%setup -qn %{module_name}-%{commit}


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

 
%files
%doc README.rst
%license LICENSE.txt
%{python2_sitelib}/%{module_name}
%{python2_sitelib}/%{module_name}-%{version}-py?.?.egg-info
%{_bindir}/%{module_name}


%changelog
* Sat Jul 04 2015 Scott K Logan <logans@cottsay.net> - 0.1.11-1
- Update to release 0.1.11
- Update to latest packaging guidelines

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Dec 30 2014 Rich Mattes <richmattes@gmail.com> - 0.1.10-1
- Update to release 0.1.10
- Update to fedora github guidelines for source url

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 19 2014 Scott K Logan <logans@cottsay.net> 0.1.9-1
- Update to latest upstream release

* Thu Feb 20 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.1.8-1
- Update to latest upstream release
- rhbz 1066906

* Sat Feb 08 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.1.7-1
- Updated as per comments in rhbz 1062843
-  Initial rpm build
